POST api/Survey/DeleteComment
Request Information
URI Parameters
None.
Body Parameters
SurveyDeleteCommentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| surveyId | integer |
None. |
|
| commentGuid | globally unique identifier |
None. |
|
| accountGuid | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"surveyId": 1,
"commentGuid": "2c12f4be-fce3-4e4a-a544-408f47f16d6a",
"accountGuid": "42cdfee5-b31f-47fc-af24-095bcfb9646c"
}
text/plain, application/octet-stream
Sample:
{"surveyId":1,"commentGuid":"2c12f4be-fce3-4e4a-a544-408f47f16d6a","accountGuid":"42cdfee5-b31f-47fc-af24-095bcfb9646c"}
application/xml, text/xml
Sample:
<SurveyDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountGuid>42cdfee5-b31f-47fc-af24-095bcfb9646c</accountGuid> <commentGuid>2c12f4be-fce3-4e4a-a544-408f47f16d6a</commentGuid> <surveyId>1</surveyId> </SurveyDeleteCommentModel>
multipart/form-data, application/form-data
Sample:
<SurveyDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountGuid>42cdfee5-b31f-47fc-af24-095bcfb9646c</accountGuid><commentGuid>2c12f4be-fce3-4e4a-a544-408f47f16d6a</commentGuid><surveyId>1</surveyId></SurveyDeleteCommentModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.